using FluentValidation;
using Microsoft.Extensions.Localization;

namespace cuqmbr.TravelGuide.Application.Regions.Queries.GetRegion;

public class GetRegionQueryValidator : AbstractValidator<GetRegionQuery>
{
    public GetRegionQueryValidator(IStringLocalizer localizer)
    {
        RuleFor(v => v.Guid)
            .NotEmpty()
            .WithMessage(localizer["FluentValidation.NotEmpty"]);
    }
}
