using cuqmbr.TravelGuide.Domain.Enums;
using MediatR;
using cuqmbr.TravelGuide.Application.Routes.Models;

namespace cuqmbr.TravelGuide.Application.Routes.Commands.AddRoute;

public record AddRouteCommand : IRequest<RouteDto>
{
    public string Name { get; set; }

    public VehicleType VehicleType { get; set; }

    public ICollection<RouteAddressModel> Addresses { get; set; }
}
