using cuqmbr.TravelGuide.Application.Common.Exceptions;
using MediatR.Behaviors.Authorization;
using MediatR.Behaviors.Authorization.Interfaces;

namespace cuqmbr.TravelGuide.Application.Common.Authorization;

public class ForbiddenUnauthorizedResultHandler : IUnauthorizedResultHandler
{
    public Task<TResponse> Invoke<TResponse>(AuthorizationResult result)
    {
        throw new ForbiddenException(result.FailureMessage);
    }
}
