using MediatR;
using cuqmbr.TravelGuide.Domain.Enums;
using cuqmbr.TravelGuide.Application.Routes.Models;

namespace cuqmbr.TravelGuide.Application.Routes.Commands.UpdateRoute;

public record UpdateRouteCommand : IRequest<RouteDto>
{
    public Guid Guid { get; set; }

    public string Name { get; set; }

    public VehicleType VehicleType { get; set; }

    public ICollection<RouteAddressModel> Addresses { get; set; }
}
